Bug 1316083 - (DWF-2016-89000) tgcaptcha does not have any prevention against replay attacks
tgcaptcha does not have any prevention against replay attacks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-tgcaptcha2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-YvesChibon
Pierre-YvesChibon
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 06:40 EST by Patrick Uiterwijk
Modified: 2016-11-08 11:14 EST (History)
1 user (show)

See Also:
Fixed In Version: python-tgcaptcha2-0.3.1-1.fc22 python-tgcaptcha2-0.3.1-1.fc23 python-tgcaptcha2-0.3.1-1.el6 python-tgcaptcha2-0.3.1-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-24 16:49:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2016-03-09 06:40:45 EST
Description of problem:
If an attacker stores a captcha and its hidden value, they can reuse that same captcha an unlimited amount of time for as long as it's valid.

Version-Release number of selected component (if applicable):
python-tgccaptcha2-0.2.0-1

How reproducible:
Consistent

Steps to Reproduce:
1. Get one captcha value and store the hidden value and solves answer
2. Submit those values twice

Actual results:
Both times are accepted.

Expected results:
The second time should be refused.

Additional info:
Comment 1 Fedora Update System 2016-03-09 09:09:40 EST
python-tgcaptcha2-0.3.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cdb5052362
Comment 2 Fedora Update System 2016-03-09 09:09:51 EST
python-tgcaptcha2-0.3.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-44de0606ef
Comment 3 Fedora Update System 2016-03-09 09:09:58 EST
python-tgcaptcha2-0.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d7dafbf27f
Comment 4 Fedora Update System 2016-03-09 09:10:05 EST
python-tgcaptcha2-0.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f44e89fe0
Comment 5 Fedora Update System 2016-03-09 20:56:01 EST
python-tgcaptcha2-0.3.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cdb5052362
Comment 6 Fedora Update System 2016-03-10 10:53:32 EST
python-tgcaptcha2-0.3.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-44de0606ef
Comment 7 Fedora Update System 2016-03-10 11:51:52 EST
python-tgcaptcha2-0.3.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f44e89fe0
Comment 8 Fedora Update System 2016-03-10 11:53:49 EST
python-tgcaptcha2-0.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d7dafbf27f
Comment 9 Fedora Update System 2016-04-24 16:49:49 EDT
python-tgcaptcha2-0.3.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-04-24 16:53:21 EDT
python-tgcaptcha2-0.3.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-04-24 16:53:44 EDT
python-tgcaptcha2-0.3.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-05-07 08:12:25 EDT
python-tgcaptcha2-0.3.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.